@echo off

rem 此bat為安裝 ispc_maintain 的起點，由使用者手動執行

REM chcp 65001 顯示中文
chcp 65001 >nul

echo ===========================================
echo  執行安裝程序...
echo ===========================================

REM 工作目錄切換到批次檔本身所在的目錄
cd /d "%~dp0"

REM 以所在的目錄中的python 更新 pip
python -m pip install --upgrade pip

REM 以所在的目錄中的python 安裝必要套件
python -m pip install -r requirements.txt

REM 以所在的目錄中的python 執行 安裝 github 專案
python _clone_ispc_maintain.py
